跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!
Support
This is the documentation of 21.11.0, which is no longer the latest release. See the latest release.

creates a new OAuth2 application

POST
/user/applications/oauth2
curl --request POST \
--url https://gitea.example.com/api/v1/user/applications/oauth2 \
--header 'Authorization: Basic <credentials>' \
--header 'Content-Type: application/json' \
--data '{ "confidential_client": true, "name": "example", "redirect_uris": [ "example" ] }'

CreateOAuth2ApplicationOptions holds options to create an oauth2 application

object
confidential_client
boolean
name
string
redirect_uris
Array<string>
Examplegenerated
{
"confidential_client": true,
"name": "example",
"redirect_uris": [
"example"
]
}

OAuth2Application

Media typeapplication/json
OAuth2Application represents an OAuth2 application.
object
client_id
string
client_secret
string
confidential_client
boolean
created
string format: date-time
id
integer format: int64
name
string
redirect_uris
Array<string>
Examplegenerated
{
"client_id": "example",
"client_secret": "example",
"confidential_client": true,
"created": "2026-04-15T12:00:00Z",
"id": 1,
"name": "example",
"redirect_uris": [
"example"
]
}

APIError is error format response

Media typeapplication/json
message
string
url
string